BEGIN {
	endtime = systime() + timeout;
}

/input/ || /packets/ { $0 = ""; }

$0 != "" {
	rps = $3/interval;
	wps = $6/interval;

	curtime = systime();
	logFile = logdir "/" strftime("net-%Y-%m-%d.log", curtime);
	datetime = strftime("%Y/%m/%d,%H:%M:%S", curtime);

	printf("%s,%d,%d\n",datetime,rps,wps) >> logFile;
	fflush(logFile);

	if (curtime > endtime) exit;

	wps = 0;
	rps = 0;
}


