#!/usr/local/bin/gawk -f

BEGIN {
	FS = ","; 

	print "set term png";
	print "set size 1,0.38";

	#printf("set output '%s'\n",outfile);

	print "set multiplot";

	print "set xrange [0:24]";
	print "set xtics 00,1,24";

	print "set title 'Disk I/O'";
	print "set ylabel 'Kb/s'";
	print "set zeroaxis lc rgb 'black'";

	cnt = 0;
	mode = "sps";
	disk_cnt = 1 ;
	max = 205 ;
}

$(NF)=="cpu"{
	disk_cnt = NF-3 ;
}

!/^#/{
	split($2,t,":");
	time[cnt]=sprintf("%02d.%02d",t[1],int(t[2]*100/60));
	data_r[cnt]=$3;
	data_w[cnt]=$4

	if( data_r[cnt]>max ) max = data_r[cnt];
	if( data_w[cnt]>max ) max = data_w[cnt];
	cnt++;
}

END{
	printf( "set yrange [-%d:%d]\n",max,max );

	print "plot '-' title 'Read' with impulses 3\\";
	print ", '-' title 'Write' with impulses 4";

	for( i=0 ; i<cnt ; i++ ) print time[i],data_r[i];
	print "end";

	for( i=0 ; i<cnt ; i++ ) print time[i],-data_w[i];
	print "end";

#	print "plot '-' using 1:2 smooth bezier title 'avr' with line 1";
#	for( i=0 ; i<cnt ; i++ ) print time[i],data_t[i];
#	print "end";
}



	
