#!/usr/local/bin/gawk -f

BEGIN {
	FS = ","

	print "set term png";
	print "set size 1,0.38";

	#printf("set output '%s'\n",outfile);

	print "set multiplot";
	print "set xrange [0:24]";
	print "set xtics 00,1,24";

	print "set title 'CPU & Memory'";
	print "set ylabel 'ratio'";
	print "set yrange [0:105]";

	cnt = 0 ;
}


!/^#/{
	split($2,t,":");
	time[cnt] = sprintf("%02d.%02d",t[1],int(t[2]*100/60));
	cpu[cnt] = $3 ;
	mem1[cnt] = $4 ;
	mem2[cnt] = $4+$5 ;
	cnt++;
}

END{
	print "plot '-' title 'mem-buf' lc rgb '#aaffe0' with impulses\\";
	print ", '-' title 'mem-act' lc rgb '#aae0ff' with impulses\\";
	print ", '-' title 'cpu' lc rgb '#ff4400' with line";

	for( i=0 ; i<cnt ; i++ ) print time[i],mem2[i];
	print "end, ";

	for( i=0 ; i<cnt ; i++ ) print time[i],mem1[i];
	print "end";

	for( i=0 ; i<cnt ; i++ ) print time[i],cpu[i]+1;
	print "end";
}



	
